#
#       Makefile for Windows
#
#       Copyright (C) 2000 GFD Dennou Club. All rights reserved.
#

SUBDIRS     = src
# bin

!include MkInclude.win

install: install-depend
	@$(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
		SUBDIRS_POSTTARGET=install-exec

install-depend:

build: build-depend
    @$(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=build-exec

build-exec:

build-depend:
	@copy config.h.win config.h
	@copy MkInclude.win MkInclude

install-exec-unique: dcl.lib
    @echo Installing dcl for Fortran
    $(MV) dcl.lib $(PREFIX)"\lib"
    IF EXIST *.lib $(RM) *.lib

dcl.lib:
    lib /out:dcl.lib *.obj *.lib  -lirc $(GTKLIB_NAME)
	IF EXIST *.obj $(RM) *.obj

clean:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=clean-exec
clean-exec-unique:
    IF EXIST MkInclude $(RM) MkInclude
	IF EXIST config.h  $(RM) config.h
	IF EXIST config.bat  $(RM) config.bat

